Subject: Re: Where can I get the source code for setup.exe
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 24 Jan 2005 12:49:29 +0000

On Sun, 23 Jan 2005, Dan Ch wrote:

> The current version of setup.exe is 2.457.2.1 but the Cygwin
> distribution contains version 2.427, i.e. setup installs the 2.427
> source code instead of 2.457.2.1.

See <http://sources.redhat.com/cygwin-apps/setup.html>.  The version of
the executable is determined by the revision of ChangeLog.
HTH,
	Igor

Unfortunately Setup-2.427.1.1 did not compile for me (missing files/classes). None of the messages I posted to [email-masked] were ever put onto the mailing list nor answered (I sent three messages by two different mailors). Getting the hint, I stopped posting messages. If this message get's through it will be something of a miracle.

I think that some Windows specific classes are used. In order to compile Setup you have to have access to the classes. I did try to compile the program using Visual Studio C++ unsuccessfully, but the effort was really a trial balloon and I didn't pursue it. 

If you are one of the extremely lucky, you might be able to compile the code and get help from someone, anyone. If so, maybe you can send me an e-mail indicating what you did?

thanks

art

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/